Page MenuHomePhabricator

New page Special:Userinfo
Open, NormalPublic

Description

Hi, I'd like to propose a new special page. Before I implement it, I'd like to get some feedback.

Special:Userinfo should be linked from Special:Contributions and perhaps in the toolbar of user/user_talk pages.

It should contain:

  • A list of user groups the user is currently in
  • A list of user rights that are implied by the user groups (Optional, it could also just be a link to Special:Listgrouprights)
  • A simple Editcounter (Yeah I know this is unpopular, but it's often useful)
  • A list of user subpages (using a Pager)
  • Various links (e.g. to logs, other special pages)

The general idea is to disburden Special:Contributions, which got filled up with more and more links over time. There should be central page for automatically generated information, statistics about a user and useful links.
I know that the information is already *there*, but often it isn't linked anywhere and distributed on many pages (e.g. Special:Listusers/<username>?limit=1, Special:Listgrouprights, Special:Prefixindex/User:<username>, etc.)

Any suggestions on the idea as a whole or individual parts of the page?


See Also:
T39573: Addition of CU logs to list of user links in Special:Contributions
T60405: Provide information about users' rights and editing on user pages
T65988: Put user profile info into its own Special page in MediaWiki core (and optionally remove it from elsewhere)
T67446: Figure out Wikimedia wikis' Special:Contributions footer (duplicative and difficult to maintain)
T140585: The problem of customized local messages for links to Wikimedia tools

Details

Reference
bz22516

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz22516.
bzimport added a subscriber: Unknown Object (MLST).
Tobias created this task.Feb 14 2010, 12:56 PM

matthew.britton wrote:

Basically a UI version of http://en.wikipedia.org/w/api.php?action=query&meta=userinfo&uiprop=blockinfo|groups|rights|editcount (only not just for the current user)?

Yeah, that kind of information, plus anything else that might be useful (e.g. list of subpages to the userpage).

To clarify: you'd get information about any user (through Special:Userinfo/<username>), not just info about your own account. There should not be any privacy issues, because all the information is already publicly available (with exception of an editcounter, however it is possible to find out the amount of edits through Special:Contributions or (on WMF projects) through the toolserver).

I don't want to make this an extension because imho not having info distributed over many pages is something basic, that every wiki should have, and not special interest functionality that only few wikis need.

Sounds very reasonable idea, especially if it can make this:

For Nike (talk | block | block log | logs | deleted user contributions | user rights management)

To this:

For Nike (talk | user information)

Same for other places where there is tons of links. The power users should find a way around to add their shortcuts only for themselves only.

Does anyone want to do a mockup?

g33kdyoo wrote:

I will do a mockup.

Tobias added a comment.May 9 2010, 7:30 PM

Here are two screenshots of a very early stage of the code (I know, I know, it is very empty).

http://commons.wikimedia.org/wiki/File:MediaWiki-SpecialUserinfo-anon-ip.png
http://commons.wikimedia.org/wiki/File:MediaWiki-SpecialUserinfo-loggedin-ip.png

I'm actually not working very much on this right now, because in my eyes a nice user interface realistically requires CSS and perhaps some JS; and since I'm not interested in either, development is currently on hold.

Also, there are some more general bugs, especially with including Special:Prefixindex which I thought should be fixed before building Special:Userinfo. E.g.:
https://bugzilla.wikimedia.org/show_bug.cgi?id=15558
https://bugzilla.wikimedia.org/show_bug.cgi?id=10781

If anyone is interested, I could probably clean up the code a bit and upload a patch.

saper added a comment.Jun 14 2012, 6:03 PM

Could you possibly submit your work in progress patch to gerrit? (even if it's not ready to be merged)

Qgil added a comment.Apr 2 2013, 7:40 PM

Why not adding more user info directly in the (otherwise empty by default) user page? Contributing to build a decent and nice-looking user profile.

If this is going to be done it should probably be on the user's action=info.

(In reply to comment #8)

If this is going to be done it should probably be on the user's action=info.

I came here to say the same. Though the general design of action=info so awful... it may look even worse with another section. I was hoping it was ugly enough that someone would come along and [[m:prettify]] it.

(In reply to comment #0)

The general idea is to disburden Special:Contributions [...]

We could also unburden Special:Preferences, which is currently used as a dashboard that displays (among other things): user ID, user groups, date of account creation, edit count, and some other pieces of info (including some actual settings, the toggles of which should remain in Special:Preferences). I think there's a general push to simplify the user preferences, so this would be a good step in that direction (cc'ing Brandon H., who's also thought about this kind of thing in relation to GlobalProfile).

While I can't say the info action is a perfect fit, most of the architecture/infrastructure you need to actually get this bug resolved is in it. It's now live on Wikimedia wikis and in MediaWiki core, it's a reasonable fit, and with maybe an hour or two worth of work, adding an additional section with user info when viewing a page in NS_USER or NS_USER_TALK would be pretty simple.

So... unless there's a strong opposition to this path forward, I'm going to go ahead and mark this bug as easy. :-)

Bug 63988 is a dupe, so I'm instead turning this into a tracking bug and making the see alsos blockers, even though they are just optional components of said special page/feature. What's missing (apparently) is a bug for global user pages; it should be created and made blocker of this and bug 64475, though it might instead made dependent on bug 4547 or bug 64474.

  • Bug 58405 has been marked as a duplicate of this bug. ***

Are all of these really the same request? Creating a new Special:UserInfo page or a new section on action=info is very different (and IMO very importantly different) from displaying the list of user rights in a corner of the existing User:Example and User_talk:Example pages.

I don't want a new page. I don't want something else to click on. I want this information displayed directly on the page that I'm already looking at.

I want what you see at https://en.wikipedia.org/wiki/User:PleaseStand/User_info I do not want what you see at https://commons.wikimedia.org/wiki/File:MediaWiki-SpecialUserinfo-anon-ip.png These are NOT the same things.

I agree with WhatamIdoing, that these are probably separate issues.

Re: bug 58405 - I've left a comment at [[User talk:PleaseStand/User info#Gadgetize and Global Gadgetize]] pointing the author/pagewatchers towards that bug, and encouraging someone to both gadgetize the script, and make it work across all WMF wikis. That way we can scale up the usage, and thereafter consider further options such as making it a default-on gadget, or more.

Re: this bug - I believe (part of) the original intent is to:

A) rethink/standardize/centralize the items in
[[MediaWiki:Sp-contributions-footer]]
[[mw:MediaWiki:Sp-contributions-footer]]
[[c:MediaWiki:Sp-contributions-footer]]
[[d:MediaWiki:Sp-contributions-footer]]
[[m:MediaWiki:Sp-contributions-footer]]
[[ur:MediaWiki:Sp-contributions-footer]]
*etc at all ~900 wikis*
(plus the "-anon" variants, eg [[c:MediaWiki:Sp-contributions-footer-anon]] )

Because the links at various wikis are frequently

  • broken/outdated
  • or missing
  • or in a confusing order
  • or in a language we can't read.

Someone would need to research the links in the hundreds of Sp-contributions-footer pages, and compile the best ones, whilst noting any instances that are uniquely-local and cannot be merged into a global tool (if any).

B) Put all those links on a separately accessible page, rather than having to go through the [[Special:Contributions]] page and scroll to the bottom. A User equivalent to [[mw:Page information]]. (and put a text/search box on it, so we can change the target easier.)

@Nemo: Sorry for continuing the discussion here, after you've designated it a tracking bug. But more people are watching this bug! ;-) <3

(In reply to Quiddity from comment #14)

Re: this bug - I believe (part of) the original intent is to:

A) rethink/standardize/centralize the items in
[[MediaWiki:Sp-contributions-footer]]
[[mw:MediaWiki:Sp-contributions-footer]]
[[c:MediaWiki:Sp-contributions-footer]]
[[d:MediaWiki:Sp-contributions-footer]]
[[m:MediaWiki:Sp-contributions-footer]]
[[ur:MediaWiki:Sp-contributions-footer]]
*etc at all ~900 wikis*
(plus the "-anon" variants, eg [[c:MediaWiki:Sp-contributions-footer-anon]] )

Because the links at various wikis are frequently

  • broken/outdated
  • or missing
  • or in a confusing order
  • or in a language we can't read.

    Someone would need to research the links in the hundreds of Sp-contributions-footer pages, and compile the best ones, whilst noting any instances that are uniquely-local and cannot be merged into a global tool (if any).

The footers should be the subject of a separate bug report. I've filed bug 65446 to track them. (I filed it under Wikimedia --> General because this issue is probably specific to Wikimedia wikis.)

B) Put all those links on a separately accessible page, rather than having
to go through the [[Special:Contributions]] page and scroll to the bottom. A
User equivalent to [[mw:Page information]]. (and put a text/search box on
it, so we can change the target easier.)

I think exposure is tricky. I'll post in a subsequent comment my thoughts.

(In reply to WhatamIdoing from comment #13)

I want what you see at
https://en.wikipedia.org/wiki/User:PleaseStand/User_info

And you can easily have that by installing the user script. :-) For MediaWiki core and Wikimedia wikis in particular, I think it could be trickier.

For each data point (gender, edit count, account age, user groups), we need to figure out whether the exposure of each (and collectively) should be:

  • displayed to anons and/or logged-in users;
  • configurable on a per-user basis (like I can check a box to display to the world what's known about me or disable this display on my user and user talk pages); and
  • configurable on a per-wiki basis (like an individual wiki can say to expose this data on user pages or not).

And for each of these three bullets, I think you need to figure out what level of granularity you want to implement. That is, you could itemize the data points and allow users or wikis to opt in or opt out of displaying certain data points to anonymous users or logged-in users. Or you could make it all or none.

I'm not sure whether this level of complexity is desired or warranted, but I think it could be. I'm not clear what level of support or opposition there is to the general idea of profiling users on their own user pages.

I want what you see at
https://en.wikipedia.org/wiki/User:PleaseStand/User_info

And you can easily have that by installing the user script. :-)

If the script worked at all of the WMF wikis, then you'd be right. But it doesn't, and I don't know how to fix it.

Even if it did work, having each person who wants to have this information manually install it individually—at each of a couple dozen wikis per user—doesn't sound like an efficient solution.

I don't think that it makes sense to have an opt-out for individual users: if I'm blocked or an admin, or I've made ten thousand edits, then there's no sense in me being able to "hide" that public information from you. The information is readily available. If they don't want their gender known, then they shouldn't set it in Special:Preferences, but in gendered languages (i.e., not English), few people object to this, and many would approve of being addressed correctly more often.

I think it would be okay to have it be an opt-in for the viewing user, though; if I believe I might be biased by seeing the age of someone's account, then I might choose not to enable it. I suspect that turning it off isn't going to be a popular choice, and it's probably the sort of thing that could be suppressed in CSS if it were really important to an individual user, so a prefs setting is probably not needed.

I think most of the dependencies are not relevant to this bug, except for bug 63988, which I see as a duplicate. The description of this bug is "New page Special:Userinfo". How is that different from bug 63988 except for the password and OAuth?

I think the general consensus is to create either a new special page called "Special:UserInfo" or a section on action=info containing information such as registration date, gender, editcount, groups, block status, etc. (i.e., the things we can easily get from the User object, user table, and API). What WhatamIdoing described above seems to be a separate bug.

I've re-opened Bug 58405 so that this request can focus on some people's desire for a separate page, rather than a single line of information being displayed on an existing page.

GOIII updated the task description. (Show Details)Feb 28 2015, 3:31 AM
GOIII set Security to None.
Florian added a subscriber: Florian.Mar 1 2015, 1:09 AM
Quiddity updated the task description. (Show Details)Jun 8 2015, 8:26 PM
Jorm removed a subscriber: Jorm.Jun 8 2015, 8:30 PM
Meno25 removed a subscriber: Meno25.Feb 19 2016, 5:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2016, 5:47 PM
Restricted Application added a subscriber: MGChecker. · View Herald TranscriptMon, Jun 24, 12:27 AM

This task represents a feature request that would presumably need product and design input (even if implemented and/or maintained by volunteers).

I've tagged two teams (AHT, and Readers-Web) whose PMs might be interested in this.